--- old/usr/src/uts/common/vm/seg_kp.c	2015-05-08 18:04:17.285509145 -0400
+++ new/usr/src/uts/common/vm/seg_kp.c	2015-05-08 18:04:17.292792894 -0400
@@ -75,7 +75,6 @@
 /*
  * Private seg op routines
  */
-static void	segkp_badop(void);
 static void	segkp_dump(struct seg *seg);
 static int	segkp_checkprot(struct seg *seg, caddr_t addr, size_t len,
 			uint_t prot);
@@ -109,8 +108,6 @@
  */
 static struct segkp_cache segkp_cache[SEGKP_MAX_CACHE];
 
-#define	SEGKP_BADOP(t)	(t(*)())segkp_badop
-
 /*
  * When there are fewer than red_minavail bytes left on the stack,
  * segkp_map_red() will map in the redzone (if called).  5000 seems
@@ -146,25 +143,11 @@
 pgcnt_t anon_segkp_pages_resv;		/* anon reserved by seg_kp */
 
 static struct	seg_ops segkp_ops = {
-	.dup		= SEGKP_BADOP(int),
-	.unmap		= SEGKP_BADOP(int),
-	.free		= SEGKP_BADOP(void),
 	.fault		= segkp_fault,
-	.faulta		= SEGKP_BADOP(faultcode_t),
-	.setprot	= SEGKP_BADOP(int),
 	.checkprot	= segkp_checkprot,
 	.kluster	= segkp_kluster,
-	.sync		= SEGKP_BADOP(int),
-	.incore		= SEGKP_BADOP(size_t),
-	.lockop		= SEGKP_BADOP(int),
-	.getprot	= SEGKP_BADOP(int),
-	.getoffset	= SEGKP_BADOP(u_offset_t),
-	.gettype	= SEGKP_BADOP(int),
-	.getvp		= SEGKP_BADOP(int),
-	.advise		= SEGKP_BADOP(int),
 	.dump		= segkp_dump,
 	.pagelock	= segkp_pagelock,
-	.setpagesize	= SEGKP_BADOP(int),
 	.getmemid	= segkp_getmemid,
 	.getpolicy	= segkp_getpolicy,
 	.capable	= segkp_capable,
@@ -172,13 +155,6 @@
 };
 
 
-static void
-segkp_badop(void)
-{
-	panic("segkp_badop");
-	/*NOTREACHED*/
-}
-
 static void segkpinit_mem_config(struct seg *);
 
 static uint32_t segkp_indel;
